Cannot update conda #4252

Open
bioinformatics13 opened this Issue Jan 10, 2017 · 0 comments

Projects

None yet

1 participant

@bioinformatics13

Please help me to solve this problem. installed conda and tried to install intarna tool through conda but it failed.

administrator@BIL2-092:~/miniconda3/bin$ conda install intarna
Fetching package metadata ...An unexpected error has occurred.
Please consider posting the following information to the
conda GitHub issue tracker at:

https://github.com/conda/conda/issues

Current conda install:

           platform : linux-64
      conda version : 4.2.12
   conda is private : False
  conda-env version : 4.2.12
conda-build version : not installed
     python version : 3.5.2.final.0
   requests version : 2.11.1
   root environment : /home/administrator/miniconda3  (writable)
default environment : /home/administrator/miniconda3
   envs directories : /home/administrator/miniconda3/envs
      package cache : /home/administrator/miniconda3/pkgs
       channel URLs : https://repo.continuum.io/pkgs/free/linux-64
                      https://repo.continuum.io/pkgs/free/noarch
                      https://repo.continuum.io/pkgs/pro/linux-64
                      https://repo.continuum.io/pkgs/pro/noarch
        config file : None
       offline mode : False

$ /home/administrator/miniconda3/bin/conda install intarna

Traceback (most recent call last):
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/conda/fetch.py", line 116, in fetch_repodata
    timeout=(3.05, 60))
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/requests/sessions.py", line 488, in get
    return self.request('GET', url, **kwargs)
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/requests/sessions.py", line 475, in request
    resp = self.send(prep, **send_kwargs)
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/requests/sessions.py", line 596, in send
    r = adapter.send(request, **kwargs)
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/requests/adapters.py", line 390, in send
    conn = self.get_connection(request.url, proxies)
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/requests/adapters.py", line 290, in get_connection
    proxy_manager = self.proxy_manager_for(proxy)
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/requests/adapters.py", line 184, in proxy_manager_for
    **proxy_kwargs
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/requests/adapters.py", line 43, in SOCKSProxyManager
    raise InvalidSchema("Missing dependencies for SOCKS support.")
requests.exceptions.InvalidSchema: Missing dependencies for SOCKS support.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/conda/fetch.py", line 310, in fetch_index
    repodatas = [(u, f.result()) for u, f in zip(urls, futures)]
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/conda/fetch.py", line 310, in <listcomp>
    repodatas = [(u, f.result()) for u, f in zip(urls, futures)]
  File "/home/administrator/miniconda3/lib/python3.5/concurrent/futures/_base.py", line 405, in result
    return self.__get_result()
  File "/home/administrator/miniconda3/lib/python3.5/concurrent/futures/_base.py", line 357, in __get_result
    raise self._exception
  File "/home/administrator/miniconda3/lib/python3.5/concurrent/futures/thread.py", line 55, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/conda/fetch.py", line 74, in func
    res = f(*args, **kwargs)
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/conda/fetch.py", line 140, in fetch_repodata
    raise CondaRuntimeError("Invalid index file: {0}: {1}".format(join_url(url, filename), e))
conda.exceptions.CondaRuntimeError: Runtime error: Invalid index file: https://repo.continuum.io/pkgs/free/linux-64/repodata.json.bz2: Missing dependencies for SOCKS support.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/conda/fetch.py", line 116, in fetch_repodata
    timeout=(3.05, 60))
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/requests/sessions.py", line 488, in get
    return self.request('GET', url, **kwargs)
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/requests/sessions.py", line 475, in request
    resp = self.send(prep, **send_kwargs)
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/requests/sessions.py", line 596, in send
    r = adapter.send(request, **kwargs)
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/requests/adapters.py", line 390, in send
    conn = self.get_connection(request.url, proxies)
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/requests/adapters.py", line 290, in get_connection
    proxy_manager = self.proxy_manager_for(proxy)
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/requests/adapters.py", line 184, in proxy_manager_for
    **proxy_kwargs
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/requests/adapters.py", line 43, in SOCKSProxyManager
    raise InvalidSchema("Missing dependencies for SOCKS support.")
requests.exceptions.InvalidSchema: Missing dependencies for SOCKS support.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/conda/exceptions.py", line 479, in conda_exception_handler
    return_value = func(*args, **kwargs)
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/conda/cli/main.py", line 145, in _main
    exit_code = args.func(args, p)
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/conda/cli/main_install.py", line 80, in execute
    install(args, parser, 'install')
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/conda/cli/install.py", line 238, in install
    prefix=prefix)
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/conda/api.py", line 24, in get_index
    index = fetch_index(channel_urls, use_cache=use_cache, unknown=unknown)
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/conda/fetch.py", line 316, in fetch_index
    for url in urls]
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/conda/fetch.py", line 316, in <listcomp>
    for url in urls]
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/conda/fetch.py", line 74, in func
    res = f(*args, **kwargs)
  File "/home/administrator/miniconda3/lib/python3.5/site-packages/conda/fetch.py", line 140, in fetch_repodata
    raise CondaRuntimeError("Invalid index file: {0}: {1}".format(join_url(url, filename), e))
conda.exceptions.CondaRuntimeError: Runtime error: Invalid index file: https://repo.continuum.io/pkgs/free/linux-64/repodata.json.bz2: Missing dependencies for SOCKS support.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment